Favicon

You are here: Home > API Reference > Android > Commands > Get AOS command push delivery status

GET /organizations/:organizationId/mdm/aosp/enterprise/devices/:aosDeviceId/commands/:aosCommandId/push-status

Required Permission: mdm.aosp.command.get

Retrieve delivery status from the push provider for a specific command.

GET
/v1/organizations/:organizationId/mdm/aosp/enterprise/devices/:aosDeviceId/commands/:aosCommandId/push-status
Copy to clipboard

Get AOS command push delivery status

Required Permission: mdm.aosp.command.get

Retrieve delivery status from the push provider for a specific command.

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
aosDeviceId string
required
Match pattern: ^[a-fA-F0-9]{24}$
aosCommandId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Responses

200 Response application/json
status boolean required
data object required
delivered boolean optional
Whether the push provider no longer reports pending Android devices for the stored push identifier.
pendingDevices number optional
Number of Android device tokens that the push provider still reports as pending.
expiresAt string optional
Provider-side expiration timestamp for the stored push identifier, when available.
sentAt string optional
Provider-side acceptance timestamp for the stored push identifier, when available.
{
    "status": true,
    "data": {
        "delivered": true,
        "pendingDevices": 0,
        "expiresAt": "string",
        "sentAt": "string"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}